﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Net.Sockets;

namespace Robotics.csprojTCP
{
    class receiveTCP
    {
        public const int BUFSIZE = 32;
        public Socket clntSock;
        public csprojTCPOperations mainport;

        // コンストラクタ
        public receiveTCP(Socket clntSock, csprojTCPOperations mainport)
        {
            this.clntSock = clntSock;
            this.mainport = mainport;
        }
        // 受信
        public void receiveMsg()
        {
            byte[] rcvBuffer = new byte[BUFSIZE];
            int bytesRcvd;
            // メッセージループ
            while (true)
            {
                bytesRcvd = clntSock.Receive(rcvBuffer, 0, rcvBuffer.Length, SocketFlags.None);
                if (bytesRcvd > 0)
                {
                    string str = Encoding.ASCII.GetString(rcvBuffer, 0, bytesRcvd - 1);
                    mainport.Post(new SetCommand(str));
                    if (str == "end")
                        break;
                }
                else
                {
                    mainport.Post(new SetCommand("ERROR"));
                }
            }
        }
    }
}
