//
//  iUDP701ViewController.h
//  iUDP701
//
//  Created by コウガク シャ on 11/03/30.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <sys/socket.h>
#import <sys/ioctl.h>
#import <net/if.h>
#import <netinet/in.h>
#import <QuartzCore/QuartzCore.h>

#define serverPort "8000"
#define serverIP "192.168.0.3"

#define buflength 128
#define openCode 'i'
#define shutdownCode 'c'
#define packetCode 'p'
#define cFormat "%10.2f"
#define sizeOfMessage 21

typedef struct{
	char cmd;
	float x;
	float n;
} Packet;

@interface iUDP701ViewController : UIViewController {
	IBOutlet UITextField *textfield;
	IBOutlet UITextField *textfield2;	
	int sock;
	struct sockaddr_in serverAddr;
	float ctr;
	char szBuf[buflength];
	CFTimeInterval startTime;
}
@property (nonatomic, retain) UITextField *textfield;
@property (nonatomic, retain) UITextField *textfield2;
- (void) connect:(id)sender;
- (void) send:(id)sender;
- (void) closeServer:(id)sender;
@end

