//
//  iUDP901ViewController.h
//  iUDP901
//
//  Created by コウガク シャ on 11/04/21.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

#import <sys/socket.h>
#import <sys/ioctl.h>
#import <net/if.h>
#import <netinet/in.h>
#import <QuartzCore/QuartzCore.h>

#define serverPort "8000"
#define serverIP "192.168.0.2"

#define buflength 128
#define openCode 'i'
#define shutdownCode 'z'
#define packetCode 'p'
#define sizeOfMessage 21

typedef struct{
	char cmd;
	float Distance;
	float Power;
} Packet;

@interface iUDP901ViewController : UIViewController {
	IBOutlet UITextField *textfield;
	int sock;
	struct sockaddr_in serverAddr;
	char szBuf[buflength];
	CFTimeInterval startTime;
}
@property (nonatomic, retain) UITextField *textfield;
- (void) forward:(id)sender;
- (void) backward:(id)sender;
- (void) connect:(id)sender;
- (void) close:(id)sender;
@end

