﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Net.Sockets;

namespace Robotics.TCP1003
{
    class receiveTCP
    {
        public const int BUFSIZE = 32;
        private const char errorCode = 'x';

        public Socket clntSock;
        public TCP1003Operations mainport;

        // コンストラクタ
        public receiveTCP(Socket clntSock, TCP1003Operations mainport)
        {
            this.clntSock = clntSock;
            this.mainport = mainport;
        }
        // 受信
        public void receiveMsg()
        {
            byte[] rcvBuffer = new byte[BUFSIZE];
            int bytesRcvd;
            // メッセージループ
            while (true)
            {
                bytesRcvd = clntSock.Receive(rcvBuffer, 0, rcvBuffer.Length, SocketFlags.None);
                if (bytesRcvd > 0)
                {
                    mainport.Post(new SetCommand(rcvBuffer));
                }
                else
                {
                    rcvBuffer[0] = (byte)errorCode;
                    rcvBuffer[1] = 0x00;
                    mainport.Post(new SetCommand(rcvBuffer));
                }
            }
        }
    }
}
