//
//  iUDP702ViewController.h
//  iUDP702
//
//  Created by コウガク シャ on 11/04/01.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <sys/socket.h>
#import <sys/ioctl.h>
#import <net/if.h>
#import <netinet/in.h>
#import <QuartzCore/QuartzCore.h>

#define serverPort "8000"
#define serverIP "192.168.0.2"

#define buflength 128
#define openCode 'i'
#define shutdownCode 'z'
#define packetCode 'x'
#define cFormat "%10.2f"
#define sizeOfMessage 21

typedef struct{
	char cmd;
	float x;
	float n;
} Packet;

@interface iUDP702ViewController : UIViewController {
	IBOutlet UITextField *textfield;
	IBOutlet UITextField *textfield2;
	IBOutlet UITextField *textfieldA;
	IBOutlet UITextField *textfieldB;
	IBOutlet UITextField *textfieldC;	
	int sock;
	struct sockaddr_in serverAddr;
	float ctr;
	char szBuf[buflength];
	CFTimeInterval startTime;
}
@property (nonatomic, retain) UITextField *textfield;
@property (nonatomic, retain) UITextField *textfield2;
@property (nonatomic, retain) UITextField *textfieldA;
@property (nonatomic, retain) UITextField *textfieldB;
@property (nonatomic, retain) UITextField *textfieldC;
- (void) connect:(id)sender;
- (void) send:(id)sender;
- (void) closeServer:(id)sender;
@end

