//
//  iTCP1001ViewController.h
//  iTCP1001
//
//  Created by コウガク シャ on 11/04/27.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <sys/socket.h>
#import <sys/ioctl.h>
#import <net/if.h>
#import <netinet/in.h>
#import <QuartzCore/QuartzCore.h>

#define robotPort "8000"
#define robotIP "192.168.0.2"

#define buflength 128
#define openCode 'i'
#define shutdownCode 'z'
#define packetCode 'p'
#define rotateCode 'q'
#define cFormat "%10.2f"
#define sizeOfMessage 21

typedef struct{
	char cmd;
	float Distance;
	float Power;
} Packet;
@interface iTCP1001ViewController : UIViewController {
	IBOutlet UITextField *textfield;
	//	IBOutlet UITextField *textfield2;
	//	IBOutlet UITextField *textfieldA;
	//	IBOutlet UITextField *textfieldB;
	//	IBOutlet UITextField *textfieldC;	
	int s;
	struct sockaddr_in sockaddrin;
	float ctr;
	char szBuf[buflength];
	bool flag;
	CFTimeInterval startTime;
}
@property (nonatomic, retain) UITextField *textfield;
//@property (nonatomic, retain) UITextField *textfield2;
//@property (nonatomic, retain) UITextField *textfieldA;
//@property (nonatomic, retain) UITextField *textfieldB;
//@property (nonatomic, retain) UITextField *textfieldC;
//- (void) connectServer:(id)sender;
//- (void) sendMsg:(id)sender;
//- (void) shutdownServer:(id)sender;
- (void) forward:(id)sender;
- (void) backward:(id)sender;
- (void) right:(id)sender;
- (void) left:(id)sender;
- (void) connect:(id)sender;
- (void) close:(id)sender;
@end

