//
//  iTCP1002ViewController.h
//  iTCP1002
//
//  Created by コウガク シャ on 11/04/29.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <sys/socket.h>
#import <sys/ioctl.h>
#import <net/if.h>
#import <netinet/in.h>
#import <QuartzCore/QuartzCore.h>

#define robotPort "8000"
#define robotIP "192.168.0.2"

#define buflength 128
#define openCode 'i'
#define shutdownCode 'z'
#define packetCode 'p'
#define cFormat "%10.2f"
#define sizeOfMessage 21

typedef struct{
	char cmd;
	float Distance;
	float Power;
} Packet;

@interface iTCP1002ViewController : UIViewController {
	IBOutlet UITextField *textfield;
	IBOutlet UITextField *textfieldR;
	IBOutlet UITextField *textfieldL;
	IBOutlet UITextField *textfieldA;
	IBOutlet UITextField *textfieldB;
	int s;
	struct sockaddr_in sockaddrin;
	float rightPower, leftPower, deltaPower;
	float rightAngle, leftAngle, deltaAngle;
	char szBuf[buflength];
	bool flag;
	CFTimeInterval startTime;
}
@property (nonatomic, retain) UITextField *textfield;
@property (nonatomic, retain) UITextField *textfieldR;
@property (nonatomic, retain) UITextField *textfieldL;
@property (nonatomic, retain) UITextField *textfieldA;
@property (nonatomic, retain) UITextField *textfieldB;
- (void) forward:(id)sender;
- (void) backward:(id)sender;
- (void) stop:(id)sender;
- (void) right:(id)sender;
- (void) left:(id)sender;
- (void) center:(id)sender;
- (void) connect:(id)sender;
- (void) close:(id)sender;
@end

